## org.jboss.netty.channel
Class AbstractChannelSink

    java.lang.Object
      org.jboss.netty.channel.AbstractChannelSink

All Implemented Interfaces:
  ChannelSink

    public abstract class AbstractChannelSink

extends Object
implements ChannelSink

A skeletal `ChannelSink` implementation.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Constructor Summary
`protected` `AbstractChannelSink()` Creates a new instance.

Method Summary
`void` `exceptionCaught(ChannelPipeline pipeline, ChannelEvent event, ChannelPipelineException cause)` Sends an `ExceptionEvent` upstream with the specified `cause`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.netty.channel.ChannelSink
`eventSunk`

Constructor Detail

### AbstractChannelSink

    protected AbstractChannelSink()

  Creates a new instance.

Method Detail

### exceptionCaught

    public void exceptionCaught(ChannelPipeline pipeline,
                                ChannelEvent event,
                                ChannelPipelineException cause)
                         throws Exception

  Sends an `ExceptionEvent` upstream with the specified `cause`.

  Specified by:
    `exceptionCaught` in interface `ChannelSink`
  Parameters:
    `event` - the `ChannelEvent` which caused a `ChannelHandler` to raise an exception
    `cause` - the exception raised by a `ChannelHandler`
  Throws:
    `Exception`

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.